Package commoble.looot.data

# Class EnchantmentNameLimitManager

java.lang.Object
net.minecraft.server.packs.resources.SimplePreparableReloadListener<Map<net.minecraft.resources.ResourceLocation,FINE>>
commoble.looot.data.MergeableCodecDataManager<EnchantmentNameLimits,Map<net.minecraft.world.item.enchantment.Enchantment,Integer>>
commoble.looot.data.EnchantmentNameLimitManager

All Implemented Interfaces:
  `net.minecraft.server.packs.resources.PreparableReloadListener`

public class EnchantmentNameLimitManager extends MergeableCodecDataManager<EnchantmentNameLimits,Map<net.minecraft.world.item.enchantment.Enchantment,Integer>>

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.server.packs.resources.PreparableReloadListener

`net.minecraft.server.packs.resources.PreparableReloadListener.PreparationBarrier`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FOLDER_NAME`
`it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap<net.minecraft.world.item.enchantment.Enchantment>`
`limits`

### Fields inherited from class commoble.looot.data.MergeableCodecDataManager

`data, folderName, JSON_EXTENSION, JSON_EXTENSION_LENGTH, STANDARD_GSON`

## Constructor Summary

Constructors
Constructor
Description
`EnchantmentNameLimitManager()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`apply(Map<net.minecraft.resources.ResourceLocation,Map<net.minecraft.world.item.enchantment.Enchantment,Integer>> processedData, net.minecraft.server.packs.resources.ResourceManager resourceManager, net.minecraft.util.profiling.ProfilerFiller profiler)`
Main-thread processing, runs after prepare concludes

### Methods inherited from class commoble.looot.data.MergeableCodecDataManager

`prepare, subscribeAsSyncable`

### Methods inherited from class net.minecraft.server.packs.resources.SimplePreparableReloadListener

`reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.server.packs.resources.PreparableReloadListener

`getName`

## Field Details

### FOLDER_NAME

public static final String FOLDER_NAME

See Also:
  - Constant Field Values

### limits

@Nonnull public it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap<net.minecraft.world.item.enchantment.Enchantment> limits

## Constructor Details

### EnchantmentNameLimitManager

public EnchantmentNameLimitManager()

## Method Details

### apply

protected void apply(Map<net.minecraft.resources.ResourceLocation,Map<net.minecraft.world.item.enchantment.Enchantment,Integer>> processedData, net.minecraft.server.packs.resources.ResourceManager resourceManager, net.minecraft.util.profiling.ProfilerFiller profiler)
Description copied from class: `MergeableCodecDataManager`
Main-thread processing, runs after prepare concludes

Overrides:
  `apply` in class `MergeableCodecDataManager<EnchantmentNameLimits,Map<net.minecraft.world.item.enchantment.Enchantment,Integer>>`